<?php
require_once('./fns.php');
require_once('./displays/display_churchusers.php');
require_once('./displays/display_nonchurchusers.php'); 
session_start();

do_html_header('Organisti v kostole','church','Zoznam všetkých používateľov priradených v kostole.');

$churchid = $_GET['churchid'];

//UPDATE
if((check_usertype('admin') or check_organisttype("HO")) and isset($_GET['churchid']) and isset($_GET['userid']) and isset($_GET['organisttype']))
{
		$userid = $_GET['userid'];
		$username = get_username($userid);
		$churchname = get_church_name($churchid);
    
		//UPDATE
		if(isset($_GET['organisttype']))
		{ 
			if(update_church_user($churchid, $userid,$_GET['organisttype']))
			{
			ok_msg('Organista '.$username.' bol úspešne aktualizovaný v kostole '.$churchname.'.');
			log_activity('Aktualizácia organistu <a href="show_user.php?userid='.$userid.'">'.$username.'</a> v kostole <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>.');
			}
			else
				error_msg("Organista '".$username."' nebol aktualizovaný v kostole.");
		}	
		else 
		{
			if(insert_church_user($churchid, $userid,'O'))
			{
			ok_msg('Organista '.$username.' bol úspešne priradený ku kostolu '.$churchname.'.');
			log_activity('Pridanie organistu <a href="show_user.php?userid='.$userid.'">'.$username.'</a> ku kostolu <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>');
			}
			else
				error_msg("Organista '".$username."' nebol priradený ku kostolu.");
		}
}

//DELETE
else if (isset($_GET['action']) and $_GET['action'] == "delete" and (check_usertype("admin") or get_organisttype($_SESSION['session_userid'],$churchid)=="HO"))
{
	if (isset($_GET['churchid']) && isset($_GET['userid']) ) 
  {
    $userid	= $_GET['userid'];
    $username = get_username($userid);
    $churchname = get_church_name($churchid);
		if(delete_church_user($churchid,$userid))
    {
			ok_msg('Organista '.$username.' bol odstránený z kostola '.$churchname.'.');
      log_activity('Odstránenie organistu <a href="show_user.php?userid='.$userid.'">'.$username.'</a> z kostola <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>.');
    }
		else
			error_msg('Organista '.get_username($userid).' nebol odstránený z kostola '.get_church_name($churchid).'.');
	} 
	else 
    error_msg('Kostol alebo používateľ nebol zadaný.');
}

//INSERT
else if (isset($_GET['action']) and $_GET['action'] == "add" and (check_usertype('admin') or get_organisttype($_SESSION['session_userid'],$churchid)=="HO"))
{ 
		$userid = $_GET['userid'];
    $username = get_username($userid);
    $churchname = get_church_name($churchid);
    
    //update organisttype
    if(isset($_GET['organisttype']))
    { 
      if(update_church_user($churchid, $userid,$_GET['organisttype']))
      {
        ok_msg('Organista '.$username.' bol úspešne aktualizovaný v kostole '.$churchname.'.');
        log_activity('Aktualizácia údajov organistu <a href="show_user.php?userid='.$userid.'">'.$username.'</a> v kostole <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>.');
      }
		  else
        error_msg("Organista '".$username."' nebol aktualizovaný v kostole.");
    }
    else 
    {
		  if(insert_church_user($churchid, $userid,'O'))
      {
        ok_msg('Organista '.$username.' bol úspešne priradený ku kostolu '.$churchname.'.');
        log_activity('Pridanie organistu <a href="show_user.php?userid='.$userid.'">'.$username.'</a> ku kostolu <a href="show_church.php?churchid='.$churchid.'">'.$churchname.'</a>');
      }
		  else
        error_msg("Organista '".$username."' nebol priradený ku kostolu.");
    }
}

if (check_user())
{
	// ziskame kostoly z databazy
	$churchid = $_GET['churchid'];
  
	//nastavime si prvu stranu
	if(!$_GET["Page"])
		$_GET["Page"] = 1;
  
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "lastname";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "ASC";
  
  //nastavime filter
  if(!$_GET["Filter"])
    $_GET["Filter"] = "off";
  
  //zacina od zaznamu..  
  $start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  // ziskame pocet user z databazy
  $user_count = get_churchorganists_count($churchid);
  
  //ziskame data z db  
  $user_array = get_churchusers($churchid,"all","lastname","ASC");

  $churchname = get_church_name($churchid);
  // skratime nazov kostola ak je prilis dlhy
  if (strlen($churchname)>30){
    $churchname = preg_replace('/\s\S*$/i', '', substr($churchname, 0, 40));
    $churchname.=' ...';
  }
  
  // zobrazime pouzivatelov v kostole
  display_churchusers($user_array, $user_count, $churchid, $churchname, "1", "lastname", "ASC", "off", "", "", "off");  
  
  // zobrazime pouzivatelov, ktori niesu v kostole
  if(check_usertype("admin") || get_organisttype($_SESSION['session_userid'],$churchid)=="HO")
  {
    // ziskame pocet user z databazy
    $non_user_count = get_non_churchorganists_count($churchid,$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
    
    // ziskame data z db
    $non_user_array = get_non_churchusers($churchid,$start_page,$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
    
    display_nonchurchusers($non_user_array, $non_user_count, $churchid, $churchname, $_GET["Page"],$_GET["OrderBy"],$_GET["OrderType"],$_GET["Filter"],$_GET["SearchWhere"],$_GET["SearchText"]);
  }
}
else
	error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>
<script language=JavaScript>
function update(churchid, userid, organisttype)
{
  self.location='churchusers.php?churchid='+churchid+'&userid='+userid+'&organisttype='+organisttype; 
}
</script>