<?php

require_once('./displays/display_login_form.php');
require_once('./displays/display_requests_info.php');
require_once('./displays/display_messages_info.php');
require_once("./displays/display_menu.php");
require_once("./displays/display_infobox.php");
require_once('./displays/display_paginator.php');
require_once('./displays/display_tableheader.php');
require_once('./displays/display_tablefilter.php');
require_once('./displays/display_tablefilterlite.php');

/*
Tu budu vystupy do html - header, footer, generovanie liniek, css a pod.
Funkcie display a display form na formuláre.
*/
function do_html_header($title = '', $class = '', $description = '')
{
// zobrazi HTML hlavicku
// deklaruje premennu session ku ktorej chceme pristupit z funkcie 
global $_SESSION;

//pocet riadkov v tabulkach
$_SERVER["PAGINATOR_ROWCOUNT_TABLE"] = 16;
$_SERVER["PAGINATOR_ROWCOUNTDASHBOARD_TABLE"] = 5;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="sk" xml:lang="sk" xmlns="http://www.w3.org/1999/xhtml">  
  <head>	     
    <title>SPRO 1.0 - <?php echo $title; ?></title>	     
    <meta http-equiv="content-language" content="sk" />	     
    <meta http-equiv="cache-control" content="no-cache" />	     
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />         
    <script type="text/javascript" src="js/jquery-1.2.6.min.js"></script>
    <script type="text/javascript" src="js/ui.js"></script>
    <script language="javascript" type="text/javascript" src="js/niceforms.js"></script>
    <script type="text/javascript" src="js/jquery-ui-1.7.1.custom.min.js"></script>
    <?php //if (basename($_SERVER['SCRIPT_NAME']) == 'logout.php') echo '<meta http-equiv="refresh" content="1;URL=index.php" />'; ?>
    <link href="css/styles.css" rel="stylesheet" type="text/css" media="all" /> 
    <link rel="stylesheet" type="text/css" media="all" href="css/niceforms-default.css" />
    <link rel="stylesheet" href="css/slidebox.css" type="text/css" media="screen" />
    <link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />           
    <!--[if lte IE 6]><link href="css/styles_ie6.css" rel="stylesheet" type="text/css" media="screen" /><![endif]--> 
    <script src="js/slidebox.js" type="text/javascript"></script>
    <script>
  	$(document).ready(function(){
  		$("#toppanel").slideBox({width: "706px", height: "27px", position: "top"});
  	});
	  </script>
  </head>  
  <body>
    <?php
      if(isset($_SESSION['session_churchid'])){
        echo '
        <div id="toppanel">
          <img style="float: left; margin-top: 5px; margin-right: 8px;" src="images/icon_church.png" />
          <p id="status" style="float: left; margin-top: 8px;"><b>Ste v kostole: </b>'.get_church_name($_SESSION['session_churchid']).'</p>';
        echo '
          <div style="float: right;">
          <img style="float: left; margin-top: 5px; margin-left: 8px; margin-right: 8px;" src="images/icon_user.png" />
          <p id="status" style="float: left; margin-top: 8px;"><b>Vaša funkcia v tomto kostole: </b>';
        if(check_organisttype("O")) echo 'Organista</p>';
          else echo 'Hlavný organista';
          echo '</div>';
        echo '</div>';
      }
    ?>
    <div id="wrap">	       
      <div id="header">
        <h1 class="bg"><span>eSPRO 1.0</span></h1>
        <div id="login">
        <?php
          if(check_user()){
          //niekto je prihlaseny
            echo '<p id="status">Ste prihlásený ako '.$_SESSION['session_login'].' ('.$_SESSION['session_usertype'].'), <a href="index.php?action=logout" title="odhlásiť">odhlásiť?</a></p>';
            display_messages_info();
            if (check_usertype("organista") and check_organisttype("HO") or check_usertype("admin"))
            { 
  						display_requests_info();					
					  }
          }
          //zobraz login
          else display_login_form();
        ?>
        </div><!--login-->
        <div style="float: left; margin-top: 30px;">
          <h2 class="<?php echo $class; ?>"><?php echo $title; ?></h2>
          <p id="description"><?php echo $description; ?></p>
        </div>
        <div class="clear"></div>
      </div><!--header-->
      <div id="sidebar">               
        <?php display_menu();?>             
        <span class="clear"></span>               
        <?php display_infobox();?> 		       
      </div>	       
      <div id="content">
      <div id="error_messages" style="width: 728px; height: 28px;position: absolute; z-index: 3; top: 80px; left: 266px;"></div>
      
       	

<?php 
}
    
function do_html_footer()
{
	// zobrazi HTML zapatie
          ?>
            </div><!-- content -->
            <div style="clear: both;"></div>
        </div><!-- wrap -->
      <div id="footer"></div>

      <div id="errorcontainer" style="display:none;">
        <?php display_errors(); ?>
      </div>
      <script type="text/javascript">          
      errors = document.getElementById("errorcontainer").innerHTML;
      document.getElementById("error_messages").innerHTML = errors;
      </script>
  </body>  
</html>  
<?php
}

function do_html_button($url, $text)
{
	// vypise URL ako css button
	?>	
<a class="button" href="<?php echo $url; ?>">
  <?php echo $text; ?></a>	
<?php
}

?>