<?php
// vlozime subory funkcii pre tuto kategoriu
require_once('./fns.php'); 
session_start();

do_html_header('Rozvrh','schedules','Zoznam časov bohoslužieb, na ktoré sa môžete prihlásiť.');

if(isset($_GET['scheduleid']) && isset($_GET['serviceid']) && isset($_GET['type']) && isset($_GET['mode']))
{
  $scheduleid = $_GET['scheduleid'];
  $serviceid = $_GET['serviceid'];
  $type = $_GET['type'];
  $mode = $_GET['mode'];
  if($mode=="add") $user=$_SESSION['session_userid'];
  else $user=0;


  //update service 
  if($type=="primary")
  {	
    if(update_service_primary($serviceid, $user))
    {
      $txt_log = ($mode=="add")?  'Prihlásenie na bohoslužbu' : 'Odhlásenie z bohoslužby';
      log_activity($txt_log.' v kostole <a href="show_church.php?churchid='.$_SESSION['session_churchid'].'">'.get_church_name($_SESSION['session_churchid']).'</a>.');
    }
    else
      error_msg("Už je niekto iný prihlásený na túto bohoslužbu.");
    
    $service = get_service_details($serviceid);
    if($mode=="remove" && $service[0]['secondaryuserid']!=0)
    {
      //update  secondary = primary
      update_service($serviceid,$service[0]['secondaryuserid']);      
      $primaryuser = get_user_details($service[0]['primaryuserid']);
      send_mail_to_user($service[0]['secondaryuserid'], "Zmena rozvrhu", "Zodpovedný organista ".$primaryuser['firstname']." ".$primaryuser['lastname']." odhlásil(a) z bohoslužby. Boli ste priradený(á) k bohoslužbe ako zodpovedný organista.");
    }
  }
  else if($type=="secondary")
    {
      if(update_service_secondary($serviceid, $user))
      {
        $txt_log = ($mode=="add")?  'Prihlásenie na bohoslužbu' : 'Odhlásenie z bohoslužby';
        log_activity($txt_log.' ako zastup. organista v kostole <a href="show_church.php?churchid='.$_SESSION['session_churchid'].'">'.get_church_name($_SESSION['session_churchid']).'</a>.');
      }
      else
        error_msg("Už je niekto iný prihlásený na túto bohoslužbu.");
    }		
  
}

if (check_user()) 
{
  $scheduleid = $_GET['scheduleid'];
  
  //nastavime si prvu stranu
  if(!$_GET["Page"])
    $_GET["Page"] = 1;
  
  //nastavime predvolene sortovanie
  if(!$_GET["OrderBy"])
    $_GET["OrderBy"] = "servicedate";
  
  if(!$_GET["OrderType"])
    $_GET["OrderType"] = "ASC";
  
  //zacina od zaznamu..  
  $start_page = ($_GET["Page"] - 1) * $_SERVER['PAGINATOR_ROWCOUNT_TABLE'];
  
  // ziskame pocet z databazy
  $services_count = get_services_count($scheduleid);
  // ziskame z databazy
  $services_array = get_services($scheduleid,$start_page,$_GET["OrderBy"],$_GET["OrderType"]);
  
	?>
	<script language=JavaScript>
    function update(scheduleid, serviceid, type, mode)
    {
      self.location='show_schedule.php?scheduleid='+scheduleid+'&serviceid='+serviceid+'&type='+type+'&mode='+mode; 
    }
    </script>
	
	<h2>Interval</h2>
	<div class="box">
	<table class="maintable" style="font-size: 10px;">

  <?php
  //definovanie nazvov pre hlavicku tabulky
  $TableHeader_Name = array();
  //definovanie nazvu stlpca z db, pre sortovanie
  $TableHeader_Sort = array();
  //definovanie parametrov pre nastavenie <th ...
  $TableHeader_Setting = array();
  
  //definovanie hodnot
  $TableHeader_Name[1] = "Dátum";
  $TableHeader_Sort[1] = 'servicedate';
  $TableHeader_Setting[1] = '';
  $TableHeader_Name[2] = 'Typ';
  $TableHeader_Sort[2] = 'servicetype';
  $TableHeader_Setting[2] = '';
  $TableHeader_Name[3] = 'Čas';
  $TableHeader_Sort[3] = 'servicestart';
  $TableHeader_Setting[3] = '';
  $TableHeader_Name[4] = 'Zodpovedný org.';
  $TableHeader_Sort[4] = 'primaryuserid';
  $TableHeader_Setting[4] = '';
  $TableHeader_Name[5] = 'Zastupujúci org.';
  $TableHeader_Sort[5] = 'secondaryuserid';
  $TableHeader_Setting[5] = '';
  $TableHeader_Name[6] = 'Operácie';
  $TableHeader_Sort[6] = '';
  $TableHeader_Setting[6] = ' class="center"';
  
  //linka
  $TableHeader_Url = "show_schedule.php?scheduleid=".$scheduleid."&";

  //zobrazime hlavicku tabulky
  display_tableheader($TableHeader_Name, $TableHeader_Setting, $TableHeader_Sort, $TableHeader_Url, $_GET["OrderBy"], $_GET["OrderType"]);

  $i = 0;
  foreach ($services_array as $row) { 
    ?> 
		<tr <?php if(is_int($i / 2)) echo 'class="highlight"'; ?>>
				<td style="width: 66px; padding-left: 5px; padding-right: 5px;"><?php echo $row['servicedate']; ?></td>
				<td style="width: 150px; padding-left: 5px; padding-right: 5px;"><?php echo $row['servicetype']; ?></td>
				<td style="width: 80px; padding-left: 5px; padding-right: 5px;"><?php echo substr($row['servicestart'],0,strlen($row['servicestart'])-3) . " - " . substr($row['serviceend'],0,strlen($row['serviceend'])-3); ?> </td>
    <?php 
    if ($row['primaryuserid']!=0) 
    {
      echo '<td style="width: 130px; padding-left: 5px; padding-right: 5px;">';
      echo '<span style="float: left;">'.get_username($row['primaryuserid']).'</span>';
      if($row['primaryuserid']==$_SESSION['session_userid'])echo '<img style="float: right;" src="./images/icon_remove.png" onClick=update('.$scheduleid.','.$row['serviceid'].',"primary","remove") alt="Odhlas" />';
      echo '</td>';
      echo '<td style="width: 130px; padding-left: 5px; padding-right: 5px;">';
      if(($row['secondaryuserid']!=0))
      {
        echo '<span style="float: left;">'.get_username($row['secondaryuserid']).'</span>';
        if($row['secondaryuserid']==$_SESSION['session_userid'])echo '<img style="float: right;" src="./images/icon_remove.png" onClick=update('.$scheduleid.','.$row['serviceid'].',"secondary","remove") alt="Odhlas" />';
      }
      else if($row['primaryuserid']!=$_SESSION['session_userid'])
        echo '<img style="float: right;" src="./images/icon_add.png" onClick=update('.$scheduleid.','.$row['serviceid'].',"secondary","add") alt="Prihlas" />';
      
      echo '</td>';
    }
    else
    {
      echo '<td style="padding-left: 5px; padding-right: 5px;"><img style="float: right;" src="./images/icon_add.png" onClick=update('.$scheduleid.','.$row['serviceid'].',"primary","add") alt="Prihlas" /></td>';
      echo '<td style="padding-left: 5px; padding-right: 5px;"></td>';
    }
				?>
				<td class="action" style="width: 60px;">
				  <ul>
            <li><a class="edit" title="Upraviť" href="show_servicetimes.php?churchid=<?php echo $_SESSION['session_churchid']; ?>&servicedate=<?php echo $row['servicedate']; ?>"><span>Upraviť</span></a></li>
          </ul>
        </td>
		</tr>
    <?php
    $i++;
  }
	?>
  </table>
  
  <?php
  $url = "show_schedule.php?scheduleid=".$scheduleid."&OrderBy=".$_GET["OrderBy"]."&OrderType=".$_GET["OrderType"]."&";  
  display_paginator($_GET["Page"],$services_count,$_SERVER["PAGINATOR_ROWCOUNT_TABLE"],$url);  
  ?>
     
  <?php
}
else
  error_msg('Nemáte právo na zobrazenie tejto webovej lokality.');

do_html_footer();
?>